package jumbo.xml;

/** Processing instruction (not yet developed)
@author P.Murray-Rust, 1998
*/
public class PINode extends XNode {
	String name = null;
	String remainder = null;
/** create a PINode with the parameters returned from SAX
@param name the PI name (e.g. xml:link, JUMBO)
@param remainder the rest of the PI name (probably, but not necessarily, name-value pairs)
*/
	public PINode(String name, String remainder) {
		super("#PI", name);
		this.name = name;
		this.remainder = remainder;
	}
/** copy constructor
@param PINode the PINode to be copied
*/
	public PINode(PINode piNode) {
		this(piNode.name, piNode.remainder);
	}
}